# $Revision: 1.161.4.5 $, $Date: 2006/08/09 19:10:01 $
#
# Conditinal build:
%bcond_without	beagle		# enable beagle search
#
%ifarch alpha i386 sparc sparc64
%undefine	with_beagle
%endif
#
Summary:	Nautilus is a file manager for the GNOME desktop environment
Summary(pl):	Nautilus - powoka GNOME i zarzdca plikw
Summary(pt_BR):	Nautilus  um gerenciador de arquivos para o GNOME
Name:		nautilus
Version:	2.14.3
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/gnome/sources/nautilus/2.14/%{name}-%{version}.tar.bz2
# Source0-md5:	e82df2a1cb11719d054959539b74b3c7
Source1:	%{name}.PLD.readme
Patch0:		%{name}-includes.patch
Patch1:		%{name}-desktop.patch
Patch2:		%{name}-capplet.patch
Patch3:		%{name}-dnd-user-owned.patch
Patch4:		%{name}-exif_taken_date.patch
URL:		http://nautilus.eazel.com/
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	ORBit2-devel >= 1:2.14.0
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
%{?with_beagle:BuildRequires:	beagle-devel >= 0.2.7}
BuildRequires:	docbook-utils >= 0.6.10
BuildRequires:	eel-devel >= 2.14.3
BuildRequires:	esound-devel >= 1:0.2.30
BuildRequires:	freetype-devel >= 2.1.4
BuildRequires:	gettext-devel
BuildRequires:	gnome-desktop-devel >= 2.14.0
BuildRequires:	gnome-vfs2-devel >= 2.14.0
BuildRequires:	intltool >= 0.33
BuildRequires:	libart_lgpl-devel >= 2.3.17
BuildRequires:	libbonobo-devel >= 2.14.0
BuildRequires:	libexif-devel >= 1:0.6.12
BuildRequires:	libgnomeui-devel >= 2.14.0
BuildRequires:	librsvg-devel >= 1:2.9.5-2
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.6.21
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	startup-notification-devel >= 0.8
Requires(post,preun):	GConf2
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	shared-mime-info
Requires:	gnome-icon-theme >= 2.14.0
Requires:	gnome-vfs2 >= 2.14.0
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	gstreamer-player-nautilus
Obsoletes:	nautilus-gtkhtml
Obsoletes:	nautilus-media
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nautilus integrates access to files, applications, media,
Internet-based resources and the Web. Nautilus delivers a dynamic and
rich user experience. Nautilus is an free software project developed
under the GNU General Public License and is a core component of the
GNOME desktop project.

%description -l pl
GNU Nautilus jest programem do zarzdzania plikami i graficzn powok
dla GNOME. Suy rwnie bardzo dobrze jako przegldarka stron WWW.

%description -l pt_BR
O nautilus  um excelente gerenciador de arquivos para o GNOME.

%package libs
Summary:	Nautilus libraries
Summary(pl):	Biblioteki Nautilusa
Group:		X11/Libraries
Requires:	eel >= 2.14.3
Requires:	libbonobo >= 2.14.0

%description libs
Nautilus libraries.

%description libs -l pl
Biblioteki Nautilusa.

%package devel
Summary:	Libraries and include files for developing Nautilus components
Summary(pl):	Pliki nagwkowe do tworzenia komponentw dla Nautilusa
Summary(pt_BR):	Bibliotecas e arquivos para desenvolvimento com o nautilus
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	eel-devel >= 2.14.3
Requires:	gnome-vfs2-devel >= 2.14.0
Requires:	librsvg-devel >= 1:2.9.5-2

%description devel
This package provides the necessary development libraries and include
files to allow you to develop Nautilus components.

%description devel -l pl
Biblioteki i pliki nagwkowe potrzebne do programowania.

%description devel -l pt_BR
Este pacote fornece os arquivos necessrios para desenvolvimento
utilizando componentes do nautilus.

%package static
Summary:	Static Nautilus libraries
Summary(pl):	Biblioteki statyczne Nautilusa
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Nautilus libraries.

%description static -l pl
Biblioteki statyczne Nautilusa.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-static \
	%{?!with_beagle:--disable-beagle} \
	--disable-update-mimedb
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# kill it - use banner instead
install %{SOURCE1} .

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_mime_database
%gconf_schema_install apps_nautilus_preferences.schemas
%update_desktop_database_post

%preun
%gconf_schema_uninstall apps_nautilus_preferences.schemas

%postun
%update_desktop_database_postun
%update_mime_database

%post	libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README THANKS nautilus.PLD.readme
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/nautilus
%dir %{_libdir}/nautilus/extensions-1.0
%{_libdir}/bonobo/servers/*
%{_datadir}/mime/packages/*.xml
%{_datadir}/nautilus
%{_desktopdir}/*
%{_pixmapsdir}/nautilus
%{_sysconfdir}/gconf/schemas/apps_nautilus_preferences.schemas

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnautilus*.so
%{_libdir}/libnautilus*.la
%{_includedir}/*
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nautilus.spec,v $
Revision 1.161.4.5  2006/08/09 19:10:01  freetz
- disable beagle on unsupported archs

Revision 1.161.4.4  2006/08/09 18:18:31  freetz
- rel.2, beagle support by default

Revision 1.161.4.3  2006/08/02 18:17:49  freetz
- 2.14.3, removed obsolete patches, 'no' locale already removed, use rpm
  macros

Revision 1.161.4.2  2006/05/21 10:45:12  freetz
- bugfixes (gnome cvs stable gnome-2-14 branch)
  http://bugzilla.gnome.org/show_bug.cgi?id=339965
  http://bugzilla.gnome.org/show_bug.cgi?id=338377
  http://bugzilla.gnome.org/show_bug.cgi?id=331810
  rel.2, STBR

Revision 1.161.4.1  2006/05/15 22:27:44  baggins
- merged from HEAD

Revision 1.163  2006/04/11 15:20:58  freetz
- 2.14.1

Revision 1.162  2006/04/02 09:08:01  freetz
- merged from DEVEL

Revision 1.161.2.9  2006/03/20 22:16:09  freetz
- rel.3

Revision 1.161.2.8  2006/03/19 18:39:18  freetz
- beagle by default, rel.2

Revision 1.161.2.7  2006/03/13 14:28:28  freetz
- 2.14.0

Revision 1.161.2.6  2006/03/04 15:42:24  freetz
- bump gnome-vfs BR/R

Revision 1.161.2.5  2006/02/27 18:39:58  freetz
- 2.13.92

Revision 1.161.2.4  2006/02/20 17:22:43  freetz
- disable beagle by default (waitning for fixed mono on builders...), rel.2

Revision 1.161.2.3  2006/02/13 11:06:34  freetz
- 2.13.91

Revision 1.161.2.2  2006/01/31 14:56:02  freetz
- 2.13.90

Revision 1.161.2.1  2006/01/29 20:43:46  freetz
- 2.13.4, updated BR, (un)register mime in post/postun

Revision 1.161  2005/11/28 18:03:32  freetz
- 2.12.2

Revision 1.160  2005/10/10 15:15:11  freetz
- rel.2 for rebuild with new libgsf (soname change)

Revision 1.159  2005/10/04 21:09:40  freetz
- typo

Revision 1.158  2005/10/04 21:04:51  freetz
- 2.12.1, force BRs/Rs to mainstream versions

Revision 1.157  2005/09/06 13:55:47  aflinta
- merged from DEVEL, 2.12.0

Revision 1.156.2.8  2005/08/23 07:33:58  aflinta
- 2.11.92

Revision 1.156.2.7  2005/08/17 21:02:14  aflinta
- rebuild with new cairo, rel. 3

Revision 1.156.2.6  2005/08/16 20:52:15  paladine
- fixed BR/R: gnome-vfs2

Revision 1.156.2.5  2005/08/14 18:15:56  freetz
- dropped obsoleted mpg123-esd patch, rel.2

Revision 1.156.2.4  2005/08/09 12:30:25  paladine
- updated to 2.11.91

Revision 1.156.2.3  2005/07/26 06:13:41  freetz
- 2.11.90, updated BRs/Rs

Revision 1.156.2.2  2005/07/11 13:45:35  freetz
- 2.11.4

Revision 1.156.2.1  2005/07/03 18:48:50  freetz
- 2.11.3, pango fonts hack removed (already solved), updated BRs

Revision 1.156  2005/06/02 23:02:31  zbyniu
- popt-devel is (indirect) required by libgnome-devel not here

Revision 1.155  2005/05/25 09:22:08  paladine
- O: gstreamer-player-nautilus, rel. 5

Revision 1.154  2005/05/18 12:56:29  freetz
- obsolete deprecated nautilus-media package, rel. 4

Revision 1.153  2005/05/17 08:35:22  freetz
- rel. 3 for updated pango_fonts_size patch

Revision 1.152  2005/04/22 23:26:33  pzurowski
- rel 2
- R: eel >= 2.10.1 (with eel-2.10.0 which wasn't tracked by dep.: nautilus: symbol lookup error: /usr/lib/libnautilus-private.so.2: undefined symbol: eel_background_is_desktop)

Revision 1.151  2005/04/12 22:04:53  qboosh
- /sbin/ldconfig deps for post* -p are autogenerated

Revision 1.150  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.149  2005/04/11 17:03:51  freetz
- added ommited changlog entry

Revision 1.148  2005/04/11 17:01:47  freetz
- 2.10.1, new style macros
- make fonts at 75 % zoom readable again (patch added)

Revision 1.147  2005/04/08 11:20:45  paladine
- removed TODO (it's not our problem)
- new style macros
- STBR

Revision 1.146  2005/04/06 12:49:31  paladine
- use new faster rpm's GConf automation
- run update-desktop-database in %%post and %%postun
- removed R: gnome-mime-data
- rel. 4

Revision 1.145  2005/03/23 08:24:33  aflinta
- rebuild with libexif 0.6.12, release 3

Revision 1.144  2005/03/20 21:57:59  aflinta
- rebuild with howl 0.9.10, release 2

Revision 1.143  2005/03/20 10:43:57  qboosh
- Obsoletes: nautilus-gtkhtml

Revision 1.142  2005/03/15 20:56:50  patrys
- added TODO

Revision 1.141  2005/03/11 10:09:43  paladine
- merged from DEVEL and updated to 2.10.0
- proper license
- added some files to %%doc

Revision 1.140.2.3  2005/03/01 13:13:15  aflinta
- up to version 2.9.92

Revision 1.140.2.2  2005/02/10 18:16:00  grzegol
- updated to 2.9.91
- removed outdated libexif patch

Revision 1.140.2.1  2005/02/07 01:21:56  grzegol
- updated to 2.9.90
- removed outdated disable_medusa patch

Revision 1.140  2004/12/11 00:28:35  ankry
- STBR requires integrer release: rel. 1

Revision 1.139  2004/10/28 18:50:38  freetz
- 2.8.2, rel 0.1, added nautilus.PLD.readme with some requirements descs
- added esd bcond (don't force to use esd, for standalone nautilus use)
- STBR

Revision 1.138  2004/10/11 20:28:35  grzegol
- removed libjpeg-devel BR (not needed anymore)

Revision 1.137  2004/10/11 15:48:39  freetz
- 2.8.1, be more paranoid about other bugfixed BRs/Rs (gnome-vfs2-devel)
- removed --enable-hardware cruft

Revision 1.136  2004/09/22 08:12:21  krzak
- rel 4
- remove launcher.patch - this feature is already in sources

Revision 1.135  2004/09/19 14:20:38  radek
- nautilus +R: nautilus-libs = ver-rel

Revision 1.134  2004/09/17 16:17:58  havner
- [mass commit] rel++ for s/Capplet/X-Capplet in sources

Revision 1.133  2004/09/16 22:14:23  havner
- capplet patch

Revision 1.132  2004/09/13 21:35:54  grzegol
- added %%{_libdir}/nautilus and %%{_libdir}/nautilus/extensions-1.0 dirs

Revision 1.131  2004/09/13 13:51:17  grzegol
- merged from DEVEL and updated to 2.8.0

Revision 1.130  2004/08/17 20:34:44  ankry
- rel. 2 to rebuild

Revision 1.129  2004/06/14 22:59:49  grzegol
- updated to 2.6.3

Revision 1.128.2.8  2004/08/30 16:42:53  grzegol
- updated to 2.7.92
- removed outdated locale-names patch
- remove no locale in %%install

Revision 1.128.2.7  2004/08/22 21:19:39  aflinta
- rebuild with howl, release 2

Revision 1.128.2.6  2004/08/16 21:24:01  aflinta
- up to version 2.7.4

Revision 1.128.2.5  2004/08/09 18:05:00  aflinta
- fixed epoch in libexif requirememnts

Revision 1.128.2.4  2004/07/22 19:40:15  grzegol
- updated to 2.7.2

Revision 1.128.2.3  2004/06/26 16:31:06  freetz
- patched against new libexif (0.6.9), rel. 3

Revision 1.128.2.2  2004/06/11 20:15:43  freetz
- rel. 2 for rebuild with new libcroco (soname change)

Revision 1.128.2.1  2004/06/05 17:18:09  freetz
- 2.7.1 - gnome 2.8 developement series

Revision 1.128  2004/06/04 22:06:13  aflinta
- up to version 2.6.2

Revision 1.127  2004/04/19 16:48:28  grzegol
- updated to 2.6.1

Revision 1.126  2004/04/13 13:48:45  krzak
- launcher.patch from GNOME_2_4
- volumes_visible.patch - allow to disable visibility icons of mounted volumes
  on desktop

Revision 1.125  2004/04/01 13:30:58  qboosh
- no *.la for nautilus modules

Revision 1.124  2004/03/31 15:21:38  qboosh
- added ORBit2 epoch

Revision 1.123  2004/03/31 12:37:30  grzegol
- added desktop patch (+OnlyShowIn=GNOME; in nautilus-computer.desktop and
  nautilus-home.desktop)
- rel. 3

Revision 1.122  2004/03/26 14:24:03  aflinta
- force to use latest shared-mime-info via latest gnome-vfs2, release 2

Revision 1.121  2004/03/22 19:14:43  aflinta
- up to version 2.6.0

Revision 1.120  2004/03/05 23:19:56  krzak
- rel 2

Revision 1.119  2004/02/27 00:58:20  krzak
- launcher.patch - add ability to edit exec parameter in launchers
- rel 1.1

Revision 1.118  2004/02/03 13:54:44  freetz
- 2.4.2, emblems patch already merged, STBR Ac

Revision 1.117  2003/11/17 20:23:01  grzegol
- added emblems patch (don't segfault when adding new emblem)
- rel. 3

Revision 1.116  2003/11/09 02:28:23  krzak
- move capplet to {_datadir}/gnome/capplets
- rel 2.

Revision 1.115.2.16  2004/03/19 16:29:37  grzegol
- added epoch to esound requires

Revision 1.115.2.15  2004/03/16 22:22:28  aflinta
- release 2 to rebuild with new libcroco 0.5.0

Revision 1.115.2.14  2004/03/15 17:51:33  grzegol
- updated to 2.5.91

Revision 1.115.2.13  2004/03/08 18:24:45  grzegol
- updated to 2.5.90
- added disable_medusa patch (dont try to build medusa extension - it doesn't
  build)

Revision 1.115.2.12  2004/02/24 19:20:18  grzegol
- updated BRs and Rs, strict internal deps

Revision 1.115.2.11  2004/02/24 16:01:53  aflinta
- up to version 2.5.8

Revision 1.115.2.10  2004/02/11 16:25:22  grzegol
- updated to 2.5.7

Revision 1.115.2.9  2004/01/30 23:17:50  grzegol
- updated to 2.5.6

Revision 1.115.2.8  2004/01/13 21:18:11  grzegol
- updated to 2.5.5

Revision 1.115.2.7  2003/12/29 15:05:36  trojan
- updated to 2.5.4

Revision 1.115.2.6  2003/12/11 13:46:46  wiget
- 2.5.3

Revision 1.115.2.5  2003/12/03 13:52:41  wiget
- 2.5.2

Revision 1.115.2.4  2003/11/14 10:21:07  wiget
- require gnome-icon-theme with my-computer.png
- release 2

Revision 1.115.2.3  2003/11/13 11:00:21  wiget
- 2.5.1.1

Revision 1.115.2.2  2003/11/13 01:22:20  wiget
- 2.5.1

Revision 1.115.2.1  2003/10/28 17:37:09  wiget
- 2.5.0

Revision 1.115  2003/10/14 15:05:52  qboosh
- libs deps moved to -libs, cosmetics

Revision 1.114  2003/10/13 15:05:34  freetz
- R eel >= 2.4.1

Revision 1.113  2003/10/13 14:46:47  freetz
- up to 2.4.1
- unknown url fix is out

Revision 1.112  2003/09/19 12:39:13  freetz
- missing mpg123-esd R

Revision 1.111  2003/09/17 11:34:02  krzak
- unknown-url-fix.patch - do not crash with unsupported url requested
- rel. 2

Revision 1.110  2003/09/08 21:52:11  grzegol
- updated to 2.4.0

Revision 1.109  2003/09/02 13:48:08  grzegol
- updated to 2.3.90

Revision 1.108  2003/08/25 22:41:11  grzegol
- updated to 2.3.9

Revision 1.107  2003/08/18 08:08:21  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.106  2003/08/08 12:33:32  grzegol
- updated to 2.3.8

Revision 1.105  2003/08/01 11:58:48  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.104  2003/07/28 14:33:24  grzegol
- added mpg123-esd patch (use mpg123-esd instead of mpg123 for audio preview)
- rel. 2

Revision 1.103  2003/07/21 18:23:03  grzegol
- cleanups/simplifications; added BR: libtool

Revision 1.102  2003/07/21 16:44:35  aflinta
- version 2.3.7

Revision 1.101  2003/07/07 13:20:21  qboosh
- use _desktopdir macro

Revision 1.100  2003/06/28 08:16:40  aflinta
- version 2.3.6

Revision 1.99  2003/06/24 04:56:15  aflinta
- version 2.3.5

Revision 1.98  2003/06/18 16:17:57  adgor
- Added vcategories.patch (adding "OnlyShowIn" entries to gnome-specific
  desktop files)

Revision 1.97  2003/06/18 15:13:59  qboosh
- no static bonobo modules, more verbose file list

Revision 1.96  2003/06/11 05:22:12  aflinta
- version 2.3.4

Revision 1.95  2003/06/04 13:17:59  aflinta
- version 2.3.3

Revision 1.94  2003/05/27 10:57:25  trojan
- added Source0-md5

Revision 1.93  2003/05/25 05:50:59  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.92  2003/05/19 13:36:57  aflinta
- some cleanups, version 2.3.2 - warning - desktop dir changed to ~/Desktop

Revision 1.91  2003/05/06 08:59:51  aflinta
- version 2.3.1

Revision 1.90  2003/04/01 12:40:07  aflinta
- updated to version 2.2.3.1

Revision 1.89  2003/03/31 20:01:42  aflinta
- fixed requirements

Revision 1.88  2003/03/31 18:38:53  aflinta
- updated to version 2.2.3

Revision 1.87  2003/03/10 21:01:47  aflinta
- updated to version 2.2.2

Revision 1.86  2003/02/25 06:03:11  aflinta
- added thumbnail.patch which allows to make thumbnails of files larger than 100MB, release 2

Revision 1.85  2003/02/11 22:20:13  grzegol
- updated to 2.2.1

Revision 1.84  2003/02/07 08:17:12  wrobell
- rel. 2 /fuck, fuck, fuck/

Revision 1.83  2003/02/06 17:09:37  wrobell
- /usr/share/gnome should be owned by other, more appropriate package
- rel. 2

Revision 1.82  2003/01/28 08:56:51  aflinta
- updated to version 2.2.0.2

Revision 1.81  2003/01/23 01:16:11  aflinta
- updated to version 2.2.0.1

Revision 1.80  2003/01/21 08:40:40  aflinta
- updated to version 2.2.0

Revision 1.79  2003/01/18 07:39:49  trojan
- fixed files (no need 755 for *.la)

Revision 1.78  2003/01/13 23:27:11  aflinta
- updated to version 2.1.91

Revision 1.77  2003/01/07 22:20:00  wrobell
- fixed esound build requirements

Revision 1.76  2003/01/07 10:52:13  aflinta
- updated to version 2.1.6

Revision 1.75  2002/12/10 03:04:46  wrobell
- fixed build requirements

Revision 1.74  2002/12/09 17:14:38  aflinta
- updated to version 2.1.4

Revision 1.73  2002/12/05 00:46:46  aflinta
- moved from /usr/X11R6 to /usr, release 5

Revision 1.72  2002/11/29 01:01:35  wrobell
- fixed removed definition usage

Revision 1.71  2002/11/28 23:48:31  wrobell
- massive attack: do not put bonobo servers into /usr/lib; remove
  _bonobo_server_dir definition (bonobo-activation configuration
  should be modified to look for servers in /usr and /usr/X11R6)

Revision 1.70  2002/11/28 22:14:59  wrobell
- removed the hack to try build it on nest builders

Revision 1.69  2002/11/28 22:08:57  aflinta
- small build fix

Revision 1.68  2002/11/28 16:08:58  wrobell
- typos

Revision 1.67  2002/11/28 15:48:41  aflinta
- corrected location of some bonobo related libs

Revision 1.66  2002/11/28 13:53:28  wrobell
- massive attack: s/_serverdir/_bonobo_server_dir/cg

Revision 1.65  2002/11/27 10:59:44  aflinta
- updated server file location, release 2

Revision 1.64  2002/11/26 05:52:01  aflinta
- updated to version 2.1.3

Revision 1.63  2002/11/25 14:17:45  ankry
- massive attack: no need for 755 for *.la

Revision 1.62  2002/11/25 01:41:40  ankry
Massive attack:
- s/man[ea]d[z][ae]r/zarzdca/g
- (some) new %%doc

Revision 1.61  2002/11/08 15:02:19  krzak
- version 2.1.2
- Patch1:         eel.patch   - to compile against eel-2.1.2

Revision 1.60  2002/10/29 18:54:30  aflinta
- rebuild against bonobo-activation 2.1.0, release up

Revision 1.59  2002/10/25 08:39:36  qboosh
- post/postun in -libs are -p, so Requires() not needed; more macros

Revision 1.58  2002/10/24 23:03:33  malekith
- release 2

Revision 1.57  2002/10/24 22:51:09  malekith
- ldconfig in -libs, not in main

Revision 1.56  2002/10/24 14:39:55  aflinta
- merged from DEVEL

Revision 1.46.2.23  2002/10/14 15:01:40  aflinta
- updated to version 2.1.1

Revision 1.46.2.22  2002/10/05 23:27:18  aflinta
- added R gnome-icon-theme - Yes we want nice nautilus icons by default :)

Revision 1.46.2.21  2002/09/28 01:56:04  aflinta
- updated to version 2.1.0

Revision 1.46.2.20  2002/09/27 08:06:58  wrobell
- typos fixed really, now

Revision 1.46.2.19  2002/09/27 08:05:08  wrobell
- nautilus-libs package added
- packages' groups fixed
- typos
- rel. 2

Revision 1.46.2.18  2002/09/15 10:50:31  aflinta
- updated to version 2.0.7

Revision 1.46.2.17  2002/08/29 13:00:53  aflinta
- updated BR
- release 2

Revision 1.46.2.16  2002/08/29 09:09:45  kura
- Version:       2.0.6

Revision 1.46.2.15  2002/08/25 18:55:54  aflinta
- updated to version 2.0.5

Revision 1.46.2.14  2002/08/16 21:36:43  wolf
- big fucking R: gnome-mime-data
  there should no longer be problems with screwed icons on desktop

Revision 1.46.2.13  2002/08/16 17:13:27  wolf
- any libpng will do
- 2.0.4
- enabled hardware view
- scrollkeeper is not needed
- gconf fix

Revision 1.46.2.12  2002/08/15 03:05:24  michuz
- updated to 2.0.3

Revision 1.46.2.11  2002/06/23 13:31:46  aflinta
- Requires new librsvg - 2.0.0

Revision 1.46.2.10  2002/06/14 15:19:01  aflinta
- added call to ac/am stuff for proper build
- added nautilus-am.patch
- release 2

Revision 1.46.2.9  2002/06/12 10:47:15  wiget
- updated to 2.0.0
- documentation now moved to gnome2-user-guide
- added small TODO

Revision 1.46.2.8  2002/05/28 07:35:02  wiget
- updated to 1.1.17
- added more BRs
- BR libpng-devel >= 1.2.3 (this stuff is for nest)
- new %%doc
- simplified gconf schemas installation
- moved nautilus components from -devel to main package

Revision 1.46.2.7  2002/05/15 08:39:43  wiget
BR: eel-devel >= 1.1.14

Revision 1.46.2.6  2002/05/14 19:00:42  michuz
- updated to 1.1.16

Revision 1.46.2.5  2002/04/28 18:20:38  misiek
- support for new libpng

Revision 1.46.2.4  2002/04/28 16:36:03  michuz
- more fixes in  BR

Revision 1.46.2.3  2002/04/28 16:34:33  michuz
- fixed BR

Revision 1.46.2.2  2002/04/28 15:27:29  michuz
- updated %%files

Revision 1.46.2.1  2002/04/28 14:48:18  michuz
- started update to 1.1.13

Revision 1.46  2002/03/24 23:28:22  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.45  2002/03/15 21:19:02  wrobell
- fixed devel subpackage build requirements
- rel. 7
- stb

Revision 1.44  2002/02/23 03:54:23  kloczek
- adapterized.

Revision 1.43  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.42  2002/02/11 10:07:46  kloczek
- adapterized.

Revision 1.41  2002/02/11 09:07:25  wiget
xml-i18n-toolize patch po/Makefile.in.in, gettextize overwrite po/Makefile.in.in.
Call this tools in correct order.

Revision 1.40  2002/02/09 11:20:05  kloczek
- release 6,
- fixed install vfs module config file,
- removed unused patches,
- repace AM_GNU_GETTEXT patch by sed call in %build,
- merge ac25, mozilla-profile-startup, omf-encoding patches from rawhide,
- mode nautilus-help.desktop file to Help/ menu.

Revision 1.39  2002/02/09 09:39:12  filon
- sorry, commited %%files-only version of spec

Revision 1.38  2002/02/09 07:54:26  filon
- fixed gnome-vfs files in files section

Revision 1.37  2002/02/08 17:39:04  wiget
- install gnome-vfs config files in correct place (now info:, help:, man: works)
- gettextize
- handle mozilla with external nspr
- sort some files
- add missing files ( gnome-db2html3, nautilus-preferences-applet)
- bonobo components are loaded via name.so, move this files to main from devel
- move IDLs to main

Revision 1.36  2002/02/08 14:22:26  filon
- without xml-... patch builds with intltool
- removed this patch, removed BuildCondflicts: intltool, added BuldRequires for it
- release 4

Revision 1.35  2002/02/02 20:43:41  ankry
- adding es/fr Group translations

Revision 1.34  2002/01/18 02:14:00  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.33  2001/12/24 19:43:04  filon
- doesn't want to build with intltool, added buildconflicts for it
(builds with plain xml-i18n-tools)
- release 3

Revision 1.32  2001/12/03 17:31:39  qrczak
- nautilus-cpp.patch: fix an #include problem for gcc-3.x.
- Release 2.

Revision 1.31  2001/11/18 09:16:00  djrzulf
- Added one sentence in pl description,
- STBR

Revision 1.30  2001/11/17 23:02:51  djrzulf
- Added missed BuildRequires: xml-i18n-tools

Revision 1.29  2001/11/13 11:59:55  qboosh
- updated to 1.0.6, updated use_AM_GNU_GETTEXT patch
- aclocal and amfix patch needed to regenerate auto* files
- xml-i18n-rules patch needed to split xml-i18n-tools' @.*RULE@s
- bonobo-workaround patch to fix linking with bonobox

Revision 1.28  2001/10/30 20:30:17  dzimi
- udate to 1.0.5
- some patch are update to 1.0.5
- still don't build correctly

Revision 1.27  2001/10/07 14:55:00  blues
- aclocal added

Revision 1.26  2001/10/03 16:40:57  filon
- cosmetics in requires

Revision 1.25  2001/09/17 11:42:31  qboosh
- removed English "es" translations, added missing pl translations

Revision 1.24  2001/08/19 01:59:02  dzimi
- fix my stupid bug with # and Patch4 :)) its must by # at %Patch4 -p1 !! not
  section Patch4

Revision 1.23  2001/08/19 01:38:54  dzimi
- release 2: added some patch witch making easy to use nautilus with old gmc config file (?)
- It's also have got support to mozilla 0.9.3. Now it doesn't crash when it compile
- still Patch4 don't work corectly (it's making unstable nautilus-1.4.1 :/ maybe
  its Patch1 or Patch2 folks ?)
- STB
NOTE: nautilus is working great and it's ready to be sent to HEAD (test
at least) with all connected programs with.

Revision 1.22  2001/08/08 21:11:49  kloczek
- add --enable-static to configure parameters.

Revision 1.21  2001/08/06 07:40:26  kloczek
- many fixes, simplifications and cleanups,
- added static subpackage.

Revision 1.20  2001/07/24 17:42:17  blues
- added Requires Gconf >= 1.0.2 (our previous versions were broken...)
NOTE: nautilus is working great and it's ready to be sent to HEAD (test
at least) with all connected programs with.

Revision 1.19  2001/07/22 13:46:37  blues
- typos

Revision 1.18  2001/07/22 12:55:19  waszi
- cleanups
- need testing

Revision 1.17  2001/07/22 10:48:13  blues
- added some es and pt_BR translations
- modified %install (NFY)
- %configure2_13 used

Revision 1.16  2001/07/22 01:17:41  blues
- DESTDIR patch added (was not used)

Revision 1.15  2001/07/21 22:39:45  blues
- require gnome-http added

Revision 1.14  2001/07/21 21:30:56  blues
- adapterized
- pld-specyfic cosmetics

Revision 1.13  2001/07/21 10:16:15  dzimi

update to version 1.0.4

Revision 1.12  2001/04/14 09:59:45  kura
- release 2
- added BuildRequires: xml-i18n-tools

Revision 1.11  2001/04/08 17:48:49  misiek
corba removed

Revision 1.10  2001/04/07 17:03:56  misiek
oaf moved to main package

Revision 1.9  2001/04/07 16:50:12  misiek
missing attr

Revision 1.8  2001/04/07 16:47:03  misiek
should build ok, now

Revision 1.7  2001/04/01 22:28:38  misiek
started update to 1.0. Added almost 30 BuildRequires. %%build section
is ok; %%install may require DESTDIR patch update; %%files isn't
updated at all. Any volunteers to finish it?

Revision 1.6  2001/03/20 01:00:03  qboosh
- s/freetype2-devel/freetype-devel >= 2.0/

Revision 1.5  2000/11/19 23:38:16  michuz
- added %%post and %%postun field

Revision 1.4  2000/11/19 23:27:45  michuz
- updated to 0.5
- added devel package

Revision 1.3  2000/09/18 16:07:13  wrobell
- fixed buildrequires

Revision 1.2  2000/09/13 14:38:40  michuz
- added mozilla support (still not finished)

Revision 1.1  2000/09/06 11:05:27  michuz
- initial release (not finished yet)
